/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef CERTIFICATEDIFFDIALOG_H
#define CERTIFICATEDIFFDIALOG_H

#include <QDialog>
#include <QMainWindow>

/**
 * @file certificatediffdialog.h
 * @brief The dialog to show the changes made in the certificate list.
 */

class AdministratorWindow;

class CertificateDiffDialog : public QDialog
{
    Q_OBJECT
public:
    /** @brief Create a dialog showing the changes made in the certificate list.
     */
    CertificateDiffDialog(AdministratorWindow *parent);

private:
    void setupGUI();

    AdministratorWindow *mAdminWindow;

private slots:
};

#endif // CERTIFICATEDIFFDIALOG_H
